#!/usr/bin/perl -w
# Author: I.Plisco (igor at plisco dot ru)
# Aim: Gets unicode codes from sample file.
# $Id$

use strict;

my $file = "08.htm";
my %counts = ();

open (IN, $file) or die;

while (<IN>) {
  while (/(\&\#\d+\;)/g) {
    $counts{$&} ||= 0;
    $counts{$&}++;
  }
}

close IN;

print map {"$_\t\t$counts{$_}\n"} sort keys %counts;

